# ============================================================
# BUILDER DEFAULTS — Ted Peters Construction LLC
# ============================================================
# This file defines your "standard build." Each house file
# inherits everything here and only overrides what's different.
# Update this as your standard spec evolves.
# ============================================================

builder:
  name: Ted Peters Construction LLC
  license: # fill in
  default_region: # e.g., Pacific NW, affects code assumptions

# ------------------------------------------------------------
# CODE & ENERGY
# ------------------------------------------------------------
code:
  version: IRC 2021          # or local amendment year
  energy_path: prescriptive  # prescriptive | performance | ERI
  air_leakage_target: 0.3    # CFM at 50 Pa
  ventilation:
    type: WHV                # whole-house ventilation
    cfm: 100
    sone_max: 1.0
    watts_per_cfm_max: 0.35

# ------------------------------------------------------------
# FOUNDATION
# ------------------------------------------------------------
foundation:
  type: crawlspace           # slab | crawlspace | basement | daylight_basement
  stem_wall_height: 18"
  footing_width: 16"
  footing_depth: 8"
  rebar: "#4 @ 24 OC"
  vapor_barrier: 6mil_poly
  insulation: R-30           # floor insulation above crawlspace
  venting: code_minimum       # code_minimum | conditioned

# ------------------------------------------------------------
# STRUCTURAL / FRAMING
# ------------------------------------------------------------
framing:
  exterior_walls:
    type: 2x6
    spacing: 16_OC
    sheathing: 7/16_OSB
    housewrap: Tyvek
  interior_walls:
    type: 2x4
    spacing: 16_OC
  floor_system:
    first_floor: TJI_11_7/8   # or 2x10, engineered, etc.
    second_floor: TJI_11_7/8
    subfloor: 3/4_AdvanTech
  ceiling_height:
    first_floor: 9'
    second_floor: 8'
  headers:
    default: LVL              # solid_lumber | LVL | steel
  roof:
    type: trusses              # trusses | rafters | hybrid
    truss_spacing: 24_OC
    overhang: 12"
    pitch: 6/12                # default pitch

# ------------------------------------------------------------
# ENVELOPE — EXTERIOR
# ------------------------------------------------------------
exterior:
  siding:
    type: fiber_cement_lap     # vinyl | fiber_cement_lap | board_and_batten | mixed
    exposure: 7"
    trim_material: fiber_cement
  roofing:
    type: architectural_shingle
    ice_and_water: eaves_only  # eaves_only | full_valleys | full_roof
    underlayment: synthetic
  soffit: vented_vinyl
  fascia: fiber_cement_1x8
  gutters: 5"_K_style_aluminum
  insulation:
    walls: R-21_batt           # cavity
    walls_continuous: R-5_foam # exterior continuous
    ceiling: R-49_blown
    rim_joist: R-21_spray_foam

# ------------------------------------------------------------
# WINDOWS & EXTERIOR DOORS
# ------------------------------------------------------------
windows:
  default_frame: vinyl
  default_glazing: low_e_double
  u_factor_max: 0.30
  shgc_max: 0.25
  # per-window specs go in the house file

exterior_doors:
  front: fiberglass_entry
  rear: sliding_glass
  garage_to_house: 20min_fire_rated_steel

# ------------------------------------------------------------
# MECHANICAL — HVAC
# ------------------------------------------------------------
hvac:
  heating: heat_pump           # heat_pump | gas_furnace | dual_fuel
  cooling: heat_pump           # heat_pump | central_AC | mini_split
  distribution: ducted         # ducted | ductless | hybrid
  duct_location: conditioned   # conditioned | attic | crawlspace
  duct_material: flex          # flex | rigid | combo
  filter: MERV_13
  thermostat: programmable
  # equipment sizing goes in house file

# ------------------------------------------------------------
# PLUMBING
# ------------------------------------------------------------
plumbing:
  supply:
    main_material: PEX
    distribution: home_run     # home_run | trunk_and_branch
    manifold_location: utility  # where the manifold lives
  drain_waste_vent:
    material: ABS              # ABS | PVC | cast_iron
    cleanouts: per_code
  water_heater:
    type: heat_pump            # heat_pump | tankless_gas | tank_electric
    tier: III
    location: garage
    pan_and_drain: true
  fixtures:
    faucet_holes: single_hole  # default for all sinks
    toilet_type: elongated
    shower_valve: pressure_balance

# ------------------------------------------------------------
# ELECTRICAL
# ------------------------------------------------------------
electrical:
  service: 200A
  panel_location: garage
  wiring: romex                # romex | conduit
  outlets_per_room: per_code   # per_code | generous (every 6' vs 12')
  usb_outlets: kitchen_and_bedrooms
  smoke_detectors: hardwired_interconnected
  co_detectors: per_code       # combo with smoke where required
  exterior_outlets: per_code
  ev_ready: false              # 240V circuit to garage
  lighting:
    default_type: LED_recessed
    default_color_temp: 3000K
    dimmer_default: true
    fixture_allowance: per_plan # or a $ amount

# ------------------------------------------------------------
# INTERIOR FINISHES
# ------------------------------------------------------------
finishes:
  flooring:
    default: LVP               # LVP | hardwood | carpet
    bathrooms: tile
    laundry: tile
    closets: LVP               # or carpet
    garage: sealed_concrete
  walls:
    drywall: 1/2"              # 1/2" | 5/8"
    garage_shared_walls: 5/8"_type_X
    texture: smooth            # smooth | orange_peel | knockdown
    paint_sheen:
      walls: eggshell
      trim: semi_gloss
      ceilings: flat
      bathrooms: satin
  ceilings:
    default: flat_drywall
    # vaulted/tray/coffered noted per room in house file
  trim:
    baseboard: 5.25"_MDF
    casing_style: picture_frame
    casing_material: 1x4_primed_finger_joint
    crown: none                # none | kitchen_only | main_floor | throughout
    door_style: shaker_2_panel
    door_material: primed_MDF
    hardware: satin_nickel_lever
    window_sill: 1x6_primed
    window_apron: true
  cabinets:
    construction: plywood_box  # plywood_box | particle_board
    door_style: shaker
    finish: painted_white
    hardware: satin_nickel_pulls
    soft_close: true
  countertops:
    default: quartz
    thickness: 3cm
    edge: eased
    backsplash: 4"_matching     # 4"_matching | full_tile | none
    laundry: laminate

# ------------------------------------------------------------
# APPLIANCES (default tier / allowance)
# ------------------------------------------------------------
appliances:
  range: gas_30"               # gas | electric | induction, size
  refrigerator: owner_supplied
  dishwasher: standard
  microwave: OTR_30"           # over-the-range
  hood: included_with_micro    # separate | included_with_micro
  washer_dryer: owner_supplied
  garage_door_opener: 1        # count

# ------------------------------------------------------------
# SITE & EXTERIOR
# ------------------------------------------------------------
site:
  driveway: concrete
  walkways: concrete
  landscaping: builder_basic   # seed/sod + foundation shrubs
  fencing: none
  deck_material: pressure_treated
  deck_railing: code_height_wood
